using System;
using System.Collections.Generic;
using BeWo.Report;
using BeWo.Report.ReportObjects;
using BS.Shared.Core;


namespace BeWo.IBPReports
{
	[IDSpecificClass(Identifier = "Mitarbeiterauslastung")]
	public partial class Mitarbeiterauslastung : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<MitarbeiterauslastungRO>
	{


		public Mitarbeiterauslastung()
		{
			InitializeComponent();
		}

		public void SetReportDataSource(MitarbeiterauslastungRO pRO)
		{
			AuslastungBerechnung b = new AuslastungBerechnung();
			b.CreateReport(pRO);

			List<MitarbeiterauslastungRO.EmployeeDetail> emps = new List<MitarbeiterauslastungRO.EmployeeDetail>();

			if (pRO.EmployeeDetailList != null)
			{
				foreach (var e in pRO.EmployeeDetailList)
				{
					if (e.SupportConceptDetailList != null && e.SupportConceptDetailList.Count > 0)
						emps.Add(e);
				}
			}

			pRO.EmployeeDetailList = emps;

			this.bindingSource1.DataSource = pRO;
		}

	}


}
